Bug 7417 - macOS modifier shuffle not done in Web Access
Summary: macOS modifier shuffle not done in Web Access
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: Web Access (show other bugs)
Version: trunk
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.11.0
Assignee: Samuel Mannehed
URL:
Keywords: relnotes, samuel_tester, upstream
Depends on: 6152
Blocks: 3523
  Show dependency treegraph
 
Reported: 2019-10-31 12:01 CET by Pierre Ossman
Modified: 2019-11-06 10:34 CET (History)
3 users (show)

See Also:
Acceptance Criteria:


Attachments

Description Pierre Ossman cendio 2019-10-31 12:01:53 CET
The native client shuffles around the modifier keys on macOS in order to compensate for Alt behaving like AltGr on macOS. This has been around at least since bug 3599.

The same thing should be done in Web Access since Alt behaves the same there on macOS.
Comment 1 Pierre Ossman cendio 2019-10-31 12:02:44 CET
This got fixed for macOS when bug 6152 got resolved. However Web Access also works on iOS that also has the same need (at least when a physical keyboard is used).
Comment 2 Alex Tanskanen cendio 2019-11-04 14:32:18 CET
Fixed upstream:

https://github.com/novnc/noVNC/commit/175b843b664724c0265ab36c7dcee365f1d1d04e
Comment 5 Niko Lehto cendio 2019-11-05 10:16:42 CET
Wrote release notes for this fix.
Comment 8 Niko Lehto cendio 2019-11-05 14:09:04 CET
Updated documentation to describe Alt keys on macOS and iOS in Web Access.
Also fixed release notes to show that this behavior is new not only on iOS but on macOS as well.
Comment 10 Samuel Mannehed cendio 2019-11-06 10:34:45 CET
Documentation and release notes look good. 

Note that there are now some duplicate lines in the documentation for the native macOS client and for web access:

> The Alt key (also know as the Option key) behaves very differently on macOS
> and iOS compared to its behaviour on other platforms. It closely resembles
> the PC AltGr key, found on international keyboards. ThinLinc therefore
> treats these keys in a special manner on macOS and iOS in order to provide
> a good integration between the client and the remote ThinLinc system.

This is likely not a problem however since these facts will probably stay true.

Note You need to log in before you can comment on or make changes to this bug.